收藏
回答

组件import报错

框架类型 问题类型 终端类型 微信版本 基础库版本
小程序 Bug 工具 7.0.4 2.7.1

- 当前 Bug 的表现(可附上截图)


编辑器中调试无问题,但在真机调试中会报这个错误导致无法调试




经测试,在组件的js文件中去掉import就会正常不会报找不到Component,但是echart只能import,最终导致无法继续调试


- 预期表现


- 复现路径


- 提供一个最简复现 Demo


小程序组件的js文件,只要 import 或者require 就会报这个错


代码片段:https://developers.weixin.qq.com/s/xXoqFTme7x8t

回答关注问题邀请回答
收藏

2 个回答

  • Albert Einstein
    Albert Einstein
    2019-06-24

    请尝试使用最新的 nightly 版本:

    https://developers.weixin.qq.com/miniprogram/dev/devtools/nightly.html


    2019-06-24
    赞同
    回复
  • 社区技术运营专员-灵芝
    社区技术运营专员-灵芝
    2019-06-05

    是macOS的还是Windows的?这边使用该代码片段测试没有复现问题,是否有勾选增强编译呢?

    请尝试:

    1、下载此 js 文件: https://send.firefox.com/download/fc6c98b5e2343d7d/#esU2q5DRIwn1nTFfJfpzPA

    2、完全关闭退出开发者工具。

    3、将此 remote-helper.js 文件替换电脑上的 /Applications/wechatwebdevtools.app/Contents/Resources/package.nw/js/unpack/remote-helper.js

    4、重新打开工具再次调试


    2019-06-05
    赞同
    回复 8
    • 
      
      2019-06-05

      macos的 我勾选了增强编译 我再按照你的方法试试

      2019-06-05
      回复
    • 
      
      2019-06-05

      还是不行哎 只要是在编辑器里就能用 但是点了真机调试 控制台还是会报错删了 import就没有报错了

      2019-06-05
      回复
    • 社区技术运营专员-灵芝
      社区技术运营专员-灵芝
      2019-06-05回复

      你使用的是哪个版本的开发工具?

      2019-06-05
      回复
    • 
      
      2019-06-05回复社区技术运营专员-灵芝

      1.02.1905151


      就一直报错

      2019-06-05
      回复
    • 
      
      2019-06-05回复社区技术运营专员-灵芝

      只有在真机调试才这样

      2019-06-05
      回复
    查看更多(3)
登录 后发表内容